Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.stream.message
Class RTMPMessage

    java.lang.Object
      org.red5.server.messaging.AbstractMessage
          org.red5.server.stream.message.RTMPMessage

All Implemented Interfaces:
  IMessage

    public class RTMPMessage

extends AbstractMessage

RTMP message

Field Summary

Fields inherited from class org.red5.server.messaging.AbstractMessage
`correlationID, extraHeaders, messageID, messageType`

Constructor Summary
`RTMPMessage()`

Method Summary
`IRTMPEvent` | `getBody()` Return RTMP message body
`void` | `setBody(IRTMPEvent body)` Setter for RTMP message body

Methods inherited from class org.red5.server.messaging.AbstractMessage
`getBooleanProperty, getByteProperty, getCorrelationID, getDoubleProperty, getFloatProperty, getIntProperty, getLongProperty, getMessageID, getMessageType, getObjectProperty, getShortProperty, getStringProperty, setBooleanProperty, setByteProperty, setCorrelationID, setDoubleProperty, setFloatProperty, setIntProperty, setLongProperty, setMessageID, setMessageType, setObjectProperty, setShortProperty, setStringProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RTMPMessage

    public RTMPMessage()

Method Detail

### getBody

    public IRTMPEvent getBody()

  Return RTMP message body

  Returns:
    Value for property 'body'.

### setBody

    public void setBody(IRTMPEvent body)

  Setter for RTMP message body

  Parameters:
    `body` - Value to set for property 'body'.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project